import matplotlib.pyplot as plt
numargs = halfcauchy.numargs
[  ] = [0.9,] * numargs
rv = halfcauchy()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = halfcauchy.cdf(x, )
h = plt.semilogy(np.abs(x - halfcauchy.ppf(prb, )) + 1e-20)

# Random number generation

R = halfcauchy.rvs(size=100)
